Skip to main content
GET
/
policies
/
{policyId}
Get policy by ID
curl --request GET \
  --url https://api.vanta.com/v1/policies/{policyId} \
  --header 'Authorization: Bearer <token>'
{
  "id": "code-of-conduct-bsi",
  "name": "Code of Conduct",
  "description": "Develops and maintains a standard of conduct that is acceptable to the company and its employees, customers, and vendors.",
  "status": "OK",
  "approvedAtDate": "2024-01-15T10:30:00.000Z",
  "latestVersion": {
    "status": "APPROVED"
  },
  "latestApprovedVersion": {
    "documents": [
      {
        "language": "EN",
        "slugId": "a1b2c3d4e5f6g7h8i9j0k1l2",
        "url": "https://app.vanta.com/c/my-domain/doc/Policy-a1b2c3d4e5f6g7h8i9j0k1l2"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

policyId
string
required

Response

200 - application/json

Ok

id
string
required

The policy's unique ID.

name
string
required

The policy's name.

description
string
required

The policy's description.

status
enum<string>
required

The policy's current status.

Available options:
OK,
NEEDS_REMEDIATION
approvedAtDate
string<date-time> | null
required

The policy's most recent date of approval, if applicable.

latestVersion
object
required

The latest version of the policy.

latestApprovedVersion
object
required

The latest approved version of the policy, if available.